import request from '@/utils/request'
import LuckyExcel from "luckyexcel";

// 查询 历史数据列表
export function listHistorydata(query) {
  return request({
    url: '/system/historydata/list',
    method: 'get',
    params: query
  })
}

// 查询 历史数据详细
export function getHistorydata(id) {
  return request({
    url: '/system/historydata/' + id,
    method: 'get'
  })
}

// 新增 历史数据
export function addHistorydata(data) {
  return request({
    url: '/system/historydata',
    method: 'post',
    data: data
  })
}

// 修改 历史数据
export function updateHistorydata(data) {
  return request({
    url: '/system/historydata',
    method: 'put',
    data: data
  })
}

// 删除 历史数据
export function delHistorydata(id) {
  return request({
    url: '/system/historydata/' + id,
    method: 'delete'
  })
}

// 导出 历史数据
export function exportHistorydata(query) {
  return request({
    url: '/system/historydata/export',
    method: 'get',
    params: query
  })
}

// 新增 历史数据
export function addInsert(data) {
    return request({
        url: '/system/historydata/addInsert',
        method: 'post',
        data: data
    })
}
